Skip to main content

List the resources of a space

The inventory lets you view all the resources deployed in a Numspot space through the API (Application Programming Interface). It provides a consolidated view of all resources, regardless of their source service (compute, connectivity, Kubernetes, postgresql, objectstorage, registry, secrets).

Permissions

info

This action requires the following IAM (Identity and Access Management) permissions:

  • inventory.resource.get

The GET /inventory/spaces/{spaceId}/resources command lists the resources of a space.

Path parameters

FieldTypeDescription
spaceIdUUID (Universally Unique Identifier)Identifier of the space

Query parameters

FieldTypeDescription
page[size]Integer (1-50)Maximum number of items to return (default: 20)
page[nextToken]StringToken for the next page

Response

{
"items": [
{
"id": "vm-622ef57d",
"reference": "123e4567-e89b-12d3-a456-426614174000",
"name": "myVM-prod-1",
"type": "VIRTUAL_MACHINE",
"source": "compute",
"state": "RUNNING",
"details": {},
"parent": {
"parentId": "vpc-12b7fdbc",
"parentName": "myVPC",
"parentType": "VIRTUAL_PRIVATE_CLOUD"
}
}
],
"nextPageToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9",
"totalSize": 42
}

Request example: List the resources of a space

Cette page vous a-t-elle été utile ?